Subject: bug#49980: 28.0.50; [PATCH] Should we have project-save-buffers?

From: Juri Linkov <[email-masked]>
Date: Fri, 13 Aug 2021 10:12:24 +0300

tags 49980 fixed
close 49980 28.0.50
quit

>> Or to a new prefix map, e.g. 'C-x p x s' with mnemonics "eXecute Shell".
>
> That would also displace project-execute-extended-command, which seems
> gratuitous. And if we were putting different commands together to save
> keymap space, 'project-compile' seems closer in purpose to 'project-shell'
> than 'project-execute-extended-command'.
>
> Anyway, 'e' as a mnemonic for 'Eshell' or 'shEll' seems good enough for me.

Then maybe 'C-x p e e' for 'Eshell' with a mnemonic "Execute Eshell",
and 'C-x p e s' for 'Shell' with a mnemonic "Execute Shell".

>>> Is there any reason not to just use 'save-some-buffers' (C-x s)?
>> In bug#46374 we are adding a new option 'project-root'
>> to 'save-some-buffers-default-predicate' that will allow
>> 'C-x s' to save only files under the same project root.
>
> That also seems to indicate that we don't need a separate command.

Indeed, so after pushing the patch to use the project root in bug#46374,
now closing this request too.